## fdsrc fdsrc — Read from a file descriptor |

## Properties

gint | fd | Read / Write
guint64 | timeout | Read / Write

## Types and Values

struct | GstFdSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstFdSrc

## Implemented Interfaces

GstFdSrc implements GstURIHandler.

## Description

Read data from a unix file descriptor.

To generate data, enter some data on the console followed by enter. The above mentioned pipeline should dump data packets to the console.

If the “timeout” property is set to a value bigger than 0, fdsrc will generate an element message named

`"GstFdSrcTimeout"`

if no data was received in the given timeout. The message's structure contains one field:

- guint64 `"timeout"`: the timeout in microseconds that expired when waiting for data.

### Example launch line

    1
    echo "Hello GStreamer" | gst-launch -v fdsrc ! fakesink dump=true

A simple pipeline to read from the standard input and dump the data with a fakesink as hex ascii block.

## Synopsis

### Element Information

plugin | coreelements
author | Erik Walthinsen <omega@cse.ogi.edu>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstFdSrc

    struct GstFdSrc;

Opaque GstFdSrc data structure.

## Property Details

### The `“fd”` property

      “fd”                       gint

An open file descriptor to read from.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“timeout”` property

      “timeout”                  guint64

Post a message after timeout microseconds

Flags: Read / Write

Default value: 0

## See Also

GstFdSink